xdiskusage (1.60-6) unstable; urgency=medium

  * QA upload.
  * Switch to fltk1.4

  [ Marcos Talau ]
  * debian/watch: add missing dash

 -- Alexandre Detiste <tchet@debian.org>  Fri, 02 May 2025 13:51:57 +0200

xdiskusage (1.60-5) unstable; urgency=medium

  * QA upload.
  * debian/control: Add Rules-Requires-Root field.
  * debian/upstream/metadata: Add upstream metadata information.
  * debian/watch:
    - Add @TAGS@.
    - Update to version 4.

 -- Pedro Morais Mendes <pedromorais.dev@gmail.com>  Sun, 01 Dec 2024 15:24:07 -0300

xdiskusage (1.60-4) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1094911)

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Feb 2024 12:30:12 -0500

xdiskusage (1.60-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/rules: Avoid configure in make distclean to avoid FTCBFS.
    (Closes: #1059720)

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jan 2024 15:24:01 -0500

xdiskusage (1.60-2) unstable; urgency=medium

  * debian/docs: Dropped, we use debian/xdiskusage.docs.
  * New version actually solves stalled behavior with certain
    file names. (Closes: #873572) (LP: #1269089)
  * New version now recognizes UTF-8 filenames. (Closes: #311435)
  * debian/control: Add build-dependency on fluid in fltk1.3.
  * debian/rules: Explicitly pass CPPFLAGS/CXXFLAGS/LDFLAGS to
    Makefile during build.

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Aug 2023 12:15:33 -0400

xdiskusage (1.60-1) unstable; urgency=medium

  * New upstream version 1.60.
    + Fix crash with du output. (Closes: #922943)
  * debian/: Apply wrap-and-sort -abst.
  * Use libfltk 1.3 to replace 1.1 (Closes: #974625)
  * debian/rules: Use compiler exported from buildtools.mk.
    (Closes: #870847, #319221)
  * debian/patches: Drop patches merged upstream:
    - 05_xdiskusage.C_support_4.3TB_and_more.patch
    - 10_fix_ftbfs_with_gcc_4.7.patch
  * debian/patches: Refresh patches:
    - 11_patch_makefile_use_destdir.patch
    - 06_xdiskusage.C_used_Ki_Mi_Gi.patch
  * debian/patches: Drop patch that is no longer applicable.
    - 04_xdiskusage.C_check_standard_input.patch (no side effect)

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Aug 2023 11:40:03 -0400

xdiskusage (1.48-11) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #1041420)
  * debian/control:
    + Use debhelper compat v13. (Closes: #965891)
    + Bump Standards-Version to 4.6.2.
    + Add Vcs-* fields.
  * debian/rules:
    + Migrate to dh. (Closes: #999001)
  * debian/clean: Manually add files to clean.
  * debian/patches/11_patch_makefile_use_destdir.patch: Add patch
    so that installation recognizes DESTDIR variable.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Aug 2023 01:15:18 -0400

xdiskusage (1.48-10.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by avoiding redeclared variable names in
    nested scopes (Closes: #667419).

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 May 2012 14:01:23 +0200

xdiskusage (1.48-10) unstable; urgency=low

  * Support disk >4.3TB from upstream cvs rev1.22 (Closes: #555323)
  * Used Ki, Mi and Gi instead of K, M and G (Closes: #323971)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sat, 03 Apr 2010 20:03:11 +0300

xdiskusage (1.48-9) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped Standards-Version to 3.8.4

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Tue, 30 Mar 2010 15:41:28 +0300

xdiskusage (1.48-8) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.0
    + Used Homepage field
    + Updated debhelper to >= 6
  * debian/compat:
    + Updated debhelper compat level to 6.
  * debian/rules:
    + Check Makefile if it exists
    + Added LDFLAGS = -Wl,--as-needed
  * debian/watch:
    + Used version 3
  * debian/menu:
    + Updated section to "Application/File Management"
  * Updated and merged patches for man page. (Closes: #447855)
  * Check the standard input if it is closed or /dev/null.
    Thanks to Carles Pina i Estany. (Closes: #435792, #276193)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sun, 27 Jul 2008 21:19:05 +0300

xdiskusage (1.48-7) unstable; urgency=low

  * debian/control: use dpatch instead of cdbs.
  * Use patches instead of modify directly the upstream release (#306703).
  * xdiskusage.C: sync with the upstream (#174026)
  * Acknowledge NMUs (Closes: #322232, #346781).

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sun, 27 Aug 2006 23:28:07 +0300

xdiskusage (1.48-6) unstable; urgency=low

  * Acknowledge NMU (Closes: #375227).
  * New maintainer (Closes: #383913). Thanks to the last maintainer Cyril Bouthors.
  * Bumped standards-version to 3.7.2 .
  * debian/control: Added Homepage.
  * debian/copyright: Updated FSF address.

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Thu, 24 Aug 2006 22:21:05 +0300

xdiskusage (1.48-5.3) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depend on libglu1-mesa-dev instead of xlibmesa-glu-dev, since the
    latter no longer exists; fixes FTBFS, patch from Andreas Jochens.
    (Closes: #373889)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 24 Jun 2006 12:48:01 +0200

xdiskusage (1.48-5.2) unstable; urgency=low

  * Non-maintainer upload to help with xlibs-dev transition.
  * debian/control: Replaced xlibs-dev build-dep. (Closes: #346781)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 17:22:57 +0100

xdiskusage (1.48-5.1) unstable; urgency=low

  * NMU
  * Rebuild to transition to the new C++ ABI: new libstdc++, new libfltk
    (closes: #322232).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 20 Aug 2005 13:44:24 +0200

xdiskusage (1.48-5) unstable; urgency=low

  * Fixed typos in upstream xdiskusage.1 and xdiskusage.spec (closes:
    #306703).

 -- Cyril Bouthors <cyril@bouthors.org>  Mon, 30 May 2005 12:21:07 +0300

xdiskusage (1.48-4) unstable; urgency=low

  * Applied patch to compile under AMD64 with GCC 4 (closes: #297845).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 23 Mar 2005 21:08:51 +0100

xdiskusage (1.48-3) unstable; urgency=low

  * Added xlibs-dev to Build-Depends (closes: #276337, #276304).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 13 Oct 2004 15:57:32 +0200

xdiskusage (1.48-2) unstable; urgency=low

  * Added xlibs-static-dev, libx11-dev and libxext-dev to Build-Depends.
    It looks like a bug in the upstream configure.in because probably
    don't need those libs, I'll ask Bill Spitzak about that (closes:
    #276304).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 13 Oct 2004 12:43:34 +0200

xdiskusage (1.48-1) unstable; urgency=low

  * New maintainer (closes: #275776).  I have to thank Carlos Laviola for
    his time and work regarding the xdiskusage Debian package during the
    last three years and a half.  Thank you Carlos.
  * New upstream release.
  * Applied patch from Jim Meyering to deal with filenames longer than
    1024 caracters (closes: #174026).
  * debian/rules: updated 'clean' target to remove autoconf generated
    files from the diff output.
  * debian/menu: invoke xdiskusage directly to avoid a lintian warning and
    a dependancy to /bin/sh (please see also bug number 276193).

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 12 Oct 2004 10:44:56 +0200

xdiskusage (1.47-4) unstable; urgency=low

  * Orphaned.  Maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Carlos Laviola <claviola@debian.org>  Sun, 10 Oct 2004 04:09:11 -0300

xdiskusage (1.47-3) unstable; urgency=high

  * debian/rules: Actually install the program into the deb...  I can't
    believe I missed this.  I am very sorry.  (Closes: #267251)
  * debian/dirs: Removed /usr/sbin.

 -- Carlos Laviola <claviola@debian.org>  Sun, 22 Aug 2004 00:25:02 -0300

xdiskusage (1.47-2) unstable; urgency=low

  * Bumped Standards-Version to 3.6.1.1.
  * Package is created with the Common Debian Build System (cdbs) now.
  * Tidied up debian/copyright a bit, updating some information.
  * Modified the Makefile to remove config.{cache,log,status} when 'clean' is
    called during the build process.

 -- Carlos Laviola <claviola@debian.org>  Fri, 20 Aug 2004 14:10:43 -0300

xdiskusage (1.47-1) unstable; urgency=low

  * New upstream release. (Closes: #251697)
  * Updated Build-Depends, package was FTBFS.  (Closes: #249753)

 -- Carlos Laviola <claviola@debian.org>  Sat, 10 Jul 2004 16:43:20 -0300

xdiskusage (1.46-1) unstable; urgency=low

  * New upstream release.
  * Build-Depend on libglut3-dev.

 -- Carlos Laviola <claviola@debian.org>  Wed, 31 Dec 2003 10:05:52 -0200

xdiskusage (1.45-3) unstable; urgency=low

  * Applied a patch from Goswin Brederlow that makes xdiskusage check if stdin
    is open instead of just checking if it's not being ran from a tty.
  * Modified the menu entry so that xdiskusage runs with stdin closed, which
    is needed by some WMs like Gnome and KDE.  (Goswin, Gustavo Noronha)
  * Removed dependency on x-terminal-emulator.

 -- Carlos Laviola <claviola@debian.org>  Tue,  6 May 2003 11:50:30 -0300

xdiskusage (1.45-2) unstable; urgency=low

  * Rebuilt against new FLTK.

 -- Carlos Laviola <claviola@debian.org>  Sun,  4 May 2003 17:35:47 -0300

xdiskusage (1.45-1) unstable; urgency=low

  * New upstream release.
  * Build-Depend on libfltk1.1-dev instead of libfltk-dev.
  * Acknowledge the need for a terminal emulator while the issue is still
    being addressed (see package's new description).

 -- Carlos Laviola <claviola@debian.org>  Thu,  6 Mar 2003 00:10:32 -0300

xdiskusage (1.44-2) unstable; urgency=low

  * debian/menu: Added a long title. Thanks, Tomas. (Closes: #120733)

 -- Carlos Laviola <claviola@debian.org>  Thu, 21 Mar 2002 21:50:00 -0300

xdiskusage (1.44-1) unstable; urgency=low

  * New upstream release (Closes: #101312)

 -- Carlos Laviola <claviola@debian.org>  Sat, 21 Jul 2001 23:28:52 -0300

xdiskusage (1.43-3) unstable; urgency=low

  * debian/rules: made the build process clean up things a bit better, by
    removing 'configure' stuff that wasn't being erased by 'make clean'.
    Closes: #101314.
  * debian/control: Upped Standards-Version from 3.5.2 to 3.5.5. No changes
    needed.

 -- Carlos Laviola <claviola@debian.org>  Mon, 18 Jun 2001 14:19:28 -0300

xdiskusage (1.43-2) unstable; urgency=low

  * Changed my e-mail from claviola@ajato.com.br to claviola@debian.org
    in all my packages.

 -- Carlos Laviola <claviola@debian.org>  Wed, 30 May 2001 16:35:55 -0300

xdiskusage (1.43-1) unstable; urgency=low

  * New upstream release

 -- Carlos Laviola <claviola@ajato.com.br>  Mon, 26 Mar 2001 19:44:29 -0300

xdiskusage (1.41-2) unstable; urgency=low

  * Fixed 2 nasty bugs in xdiskusage at one time, thanks to the enormous
  assistance of upstream! This closes: #88163.

 -- Carlos Laviola <claviola@ajato.com.br>  Sun, 25 Mar 2001 18:34:05 -0300

xdiskusage (1.41-1) unstable; urgency=low

  * Initial Release. (Closes: #88163)

 -- Carlos Laviola <claviola@ajato.com.br>  Mon,  5 Mar 2001 23:39:13 -0300
